module CustomGem
  class Builder
  	def initialize total:, quantity:
  		@total 		= total
  		@quantity 	= quantity
  	end
  	def generate
  		return calculation if number_based?
  		string_based
  	end
  	def number_based?
  		(@quantity.is_a? Numeric) || (@quantity.interger?)
  	end
  	def string_based
  		case @quantity.downcase
	  		when 'high' then calculation 25
	  		when 'low'  then calculation 18
  		end
  	end
  	def calculation quantity = @quantity
  		@total += @total * (@quantity.to_f / 100)
  	end
  end

end
